/*
 * AutoSync/PowerLib.h:
 *
 * Copyright (c) 2001 James McKenzie <james@fishsoup.dhs.org>,
 * All rights reserved.
 *
 */

/*
 * $Id: PowerLib.h,v 1.1 2001/09/14 11:06:28 root Exp root $
 */

/*
 * $Log: PowerLib.h,v $
 * Revision 1.1  2001/09/14 11:06:28  root
 * #
 *
 */

#ifndef __POWERLIB_H__
#define __POWERLIB_H__

#include <PalmOS.h>
#include <PalmCompatibility.h>

#define PowerLibBootTime_trapno sysLibTrapCustom

#ifndef POWERLIB_TRAP
#define POWERLIB_TRAP(trapno) SYS_TRAP(trapno)
#endif

Err PowerLibOpen (UInt refNum) 
	POWERLIB_TRAP (sysLibTrapOpen);
Err PowerLibClose (UInt refNum, UIntPtr numappsP) 
	POWERLIB_TRAP (sysLibTrapClose);

#if 0
Err PowerLibSleep (UInt refNum) 
	POWERLIB_TRAP (sysLibTrapSleep);
#endif

Err PowerLibWake (UInt refNum) 
	POWERLIB_TRAP (sysLibTrapWake);
Err PowerLibBootTime (UInt refNum, UInt32 *boottime) 
	POWERLIB_TRAP (PowerLibBootTime_trapno);

#endif
