/*
 * Sync/main.c:
 *
 * Copyright (c) 2001 James McKenzie <james@fishsoup.dhs.org>,
 * All rights reserved.
 *
 */

static char rcsid[] = "$Id: main.c,v 1.5 2001/09/14 11:05:00 root Exp root $";

/*
 * $Log: main.c,v $
 * Revision 1.5  2001/09/14 11:05:00  root
 * #
 *
 * Revision 1.4  2001/09/14 09:57:30  root
 * #
 *
 */

/*
	Program to change Serial/IR settings to "Cradle" and start a local HotSync
	Should be installed to be launched when the HotSync-button
	on the craddle is pressed.
	
	(C)1999 Anders Gustafsson - andersg@funcform.se

	This program and sourcecode may	be freely distributed as long as this
	text isn't removed and any modifications to the program are distributed free.

	The author is NOT responsible for any damages caused by this program.

	v0.2 (990627 13:00) Fully functional version
	v0.1 (990627 02:00) First version


	TODO: reset Serial/IR settings to IR when HotSync is completed

*/

#include <Common.h>
#include <System/SysAll.h>
#include <System/SerialMgr.h>
#include <System/NetMgr.h>

#include "../common.c"
static DWord
StarterPilotMain (Word cmd, Ptr cmdPBP, Word launchFlags)
{
  if (cmd == sysAppLaunchCmdSyncRequestLocal
      || cmd == sysAppLaunchCmdNormalLaunch)
    {
      StopNet ();
      DoSwitch (eSerIrUseCable);
      StartSyncApplication ();
    }
  return 0;
}

DWord
PilotMain (Word cmd, Ptr cmdPBP, Word launchFlags)
{
  return StarterPilotMain (cmd, cmdPBP, launchFlags);
}
